showPanel('<div style="height:100%;background-color: green;padding: 5px;"><h1 style="margin: 0px">Hallo Farm</h1></div>');
log('fetching data');

GET(apiBase + '/connect/v1/company').then(function(company) {
  scenario.company = company;
  log('loaded company ' + company.accountOwner.name);

  return GET(apiBase + '/connect/v1/fields');
  }).then(function (fields) {
  scenario.fields = fields;
  log('loaded ' + fields.length + ' fields');

  return GET(apiBase + '/connect/v1/machines');
  }).then(function (machines) {
  scenario.machines = machines;
  log('loaded ' + machines.totalCount + ' machines');

  log(JSON.stringify(scenario, null, 2));
  showPanel('<div style="height:100%;background-color: green;padding: 5px;"><h1 style="margin: 0px">Hallo Farm ' + scenario.company.accountOwner.name + '</h1>'
    + '<p>' + scenario.fields.length + ' fields</p><p>' + scenario.machines.totalCount + ' machines</p></div>');

  return POST(apiBase + '/connect/v1/operations/exchange', {
  "version": "1",
  "operations": [
    {
      "templateName": "Teeest",
      "operationStatus": "PLANNED",
      "eventDate": "2018-06-13T08:20:56.000+0000",
      "eventEndDate": "2018-06-13T22:20:56.000+0000",
      "notes": "Vorsicht mit der Gülle !!",
      "origin": {
        "source": "AGROCOM_NET"
      },
      "operationItems": [
        {
          "activity": "TOFERTILIZE",
          "personParameters": [
            {
              "ref": "65489214-2183-42cf-88e4-6fe5d272633b",
              "activityAmount": {
                "value": 0.75,
                "unit": "TIME_H"
              },
              "workedAreaInHa": 10.0,
              "attachmentParameters": [
                {
                  "ref": "attachment-1",
                  "type": "APPLICATION_MAP"
                }
              ]
            }
          ],
          "fieldRef": "4fd8ff04-b17a-47e6-abb8-22153c816316"
        }
      ]
    }
  ],
  "persons": [
    {
      "id": "65489214-2183-42cf-88e4-6fe5d272633b",
      "name": "Man",
      "firstName": "Super",
      "active": true,
      "addresses": [
        {
          "nation": "buörns"
        }
      ]
    }
  ]
  }).then(function (operation) {
  scenario.operation = operation;
  log('created operation ' + JSON.stringify(operation));
  });
});
